Bug 490350 - Fetching install.img via anonymous FTP fails when USER results in a 331 response code
Fetching install.img via anonymous FTP fails when USER results in a 331 respo...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-15 12:52 EDT by J.H.M. Dassen (Ray)
Modified: 2013-07-03 00:06 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-01 10:11:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description J.H.M. Dassen (Ray) 2009-03-15 12:52:51 EDT
Description of problem:

What I'm trying to do:
Install Fedora 11 alpha on a laptop via PXE and FTP.

How I'm trying to do it:
Configured a Debian sid system as DHCP, TFTP and FTP server, using vsftpd 2.0.7-3 for the FTP server. Use F12 on the laptop to select PXE boot, select the Fedora 11 alpha option, select language, select keyboard, select "URL" for installation source. Supplied FTP URL "ftp://10.0.0.23/pub/f11_alpha-x86_64". FTP URL gets completed to "ftp://10.0.0.23/pub/f11_alpha-x86_64/images/install.img". Selected OK.

What behaviour did I expect:
I expected the Fedora installer to fetch images/install.img via FTP and continue installation using it.

What behaviour did I get:
The installer returned to the URL prompt without a message indicating what went wrong.

Version-Release number of selected component (if applicable):

Fedora 11 alpha (reproduced with x86_64 and i386).

How reproducible:

Fully reproducible.

Steps to Reproduce:

See above.

Additional info:

By default, vsftpd still expects anonymous FTP users to supply a password (i.e.
the default as per vsftpd.conf(5) is no_anon_password=no).

Sniffing the traffic shows that the Fedora installer is apparently not prepared for this:
	> 220 (vsFTPd 2.0.7)
	< USER anonymous
	> 331 Please specify the password.
	< TYPE I
	> 530 Please login with USER and PASS.

Only after setting no_anon_password=yes on the vsftpd side does installation proceed as expected:
	> 220 (vsFTPd 2.0.7)
	< USER anonymous
	> 230 Login successful.
	< PASS rhinstall@
	> 230 Already logged in.
	< TYPE I
	> 200 Switching to Binary mode.
	< PASV
	> 227 Entering Passive Mode (10,0,0,23,45,116)
	< SIZE /pub/f11_alpha-x86_64/images/updates.img
	> 550 Could not get file size.
	< RETR /pub/f11_alpha-x86_64/images/updates.img
	> 550 Failed to open file.
	...
	< PASV
	> 227 Entering Passive Mode (10,0,0,23,159,200)
	< SIZE /pub/f11_alpha-x86_64/images/install.img
	> 213 104493056
	< RETR /pub/f11_alpha-x86_64/images/install.img
	> 150 Opening BINARY mode data connection for /pub/f11_alpha-x86_64/images/install.img (104493056 bytes).
	...
Comment 1 Chris Lumens 2009-03-16 11:57:28 EDT
Gah, we're doing things completely backwards.  Thanks for the bug report and trace of what's happening.  This should be fixed in the next build of anaconda.
Comment 2 J.H.M. Dassen (Ray) 2009-04-01 03:48:11 EDT
This issue is no longer reproducible with Fedora 11 beta; the FTP conversation
is now as expected:
> 220 (vsFTPd 2.1.0)
< USER anonymous
> 331 Please specify the password.
< PASS rhinstall@
> 230 Login successful.
< TYPE I
> 200 Switching to Binary mode.
< PASV
> 227 Entering Passive Mode (10,0,0,23,132,170).
< SIZE /pub/f11_beta-i386/images/install.img
> 213 104931328
< RETR /pub/f11_beta-i386/images/install.img
> 150 Opening BINARY mode data connection for /pub/f11_beta-i386/images/install.img (104931328 bytes).
> 226 File send OK.

Thank you! Please mark this as resolved.

Note You need to log in before you can comment on or make changes to this bug.